Bug 186028 - selinux denial of NetworkManager doing killall nscd
selinux denial of NetworkManager doing killall nscd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 23:34 EST by David Baron
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-03-20 23:34:21 EST
Description of problem:  When switching networks, it seems that NetworkManager
tries to kill (and presumably restart?) all nscd processes, but the selinux
policy prevents it from doing this.  I suspect this may be contributing to the
problems I have with programs (e.g., fetchmail in daemon mode) using stale DNS
information when switching networks.

Version-Release number of selected component (if applicable):
selinux-policy-2.2.23-15
selinux-policy-targeted-2.2.23-15
NetworkManager-0.6.0-3
nscd-2.4-4

How reproducible:  Always, I think.  I saw it in FC4 as well when I tried
running nscd.

Steps to Reproduce:
1. # /sbin/service nscd start (if it's not already running)
2. # tail -f /var/log/audit/audit.log | grep denied
3. switch or re-select a wireless network using the menu on the NetworkManager
GNOME tray icon.
  
Actual results:
type=AVC msg=audit(1142915564.632:866): avc:  denied  { signal } for  pid=28802
comm="killall" scontext=system_u:system_r:NetworkManager_t:s0
tcontext=user_u:system_r:nscd_t:s0 tclass=process

Expected results:
No selinux denials.

Additional info:
I'm not actually sure if I'm *supposed* to be using nscd with NetworkManager,
although the fact that NetworkManager is doing this suggests that I am.
Comment 1 Daniel Walsh 2006-04-03 12:19:18 EDT
Fixed in selinux-policy-targeted-2.2.29-2.fc5
Comment 3 Daniel Walsh 2006-05-05 11:01:15 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.